'' ***********************************
'' *  K107 Serial LCD Driver Demo    *
'' *  Wulfden at Hawk's Mountain     *
'' ***********************************
''''
'' Author.... Brian Riley
'' Updated... 23 July 2006


CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000


OBJ

  text   : "k107serial_lcd"
  numbers: "simple_numbers"

PUB start  | i

  'start terms
  text.start(16, -9600)               ' -9600 for TTL 9600 for RS232
                                                                                                                               '
  text.setGeo(4,20)                   ' this sets up a 4x20 display
  
  text.backLight(100)
  waitcnt(clkfreq / 10 + cnt)                 ' 100 ms delay 
  text.str(string("?fTV Text Demo..."))
  text.backLight(60)
  text.cls
  text.BigNum3
  text.backLight(130)
  i := -289
  repeat   100
    text.gotoxy(0,0)
    text.str(numbers.decx(i++, 4))
    waitcnt(clkfreq / 50 + cnt)                 ' 20 ms delay Bignums are a lot of data
  text.back2Norm
  text.home
  waitcnt(clkfreq / 10 + cnt)                   ' 10 ms delay
  text.gotoxy(2,0)
  text.clrln
  text.gotoxy(2,1)
  text.str(string("Thats all folks!"))
